function [is1,is2,if1,if2]=nodesRIG(v1,v2,vcr,t1,t2,isupp1,tsupp1,...
                                    isupp2,tsupp2,ib2);
%--------------------------------------------------------------------------
% Recherche des sommets du maillage dans le solide
%--------------------------------------------------------------------------

is1=find(inpolygon(v1(:,1),v1(:,2),vcr(:,1),vcr(:,2))==1);

conforme=true;

if conforme

    % Approximation conforme de la vitesse et de la pression : 
    % ajout des noeuds appartenant aux triangles qui intersectent le solide.
    
    [is2,is1,ks1]=find_nodes_rigid(t1,t2,is1,isupp1,tsupp1);

else
    
    % Approximation non-conforme de la vitesse
    
    is2=find(inpolygon(v2(:,1),v2(:,2),vcr(:,1),vcr(:,2))==1);
    
end

% % verification: affichage des noeuds dans le rigide
% figure(2);
% clf;
% patch('faces',t1(:,1:3),'vertices',v1(:,1:2),'facecolor','none','edgecolor','black');
% hold on
% %patch('faces',t1(ks1,1:3),'vertices',v1(:,1:2),'facecolor','yellow','edgecolor','black');
% plot(vcr(:,1), vcr(:,2),'black');
% plot(v2(is2,1),v2(is2,2),'Ob');
% plot(v1(is1,1),v1(is1,2),'Or');
% hold off
% axis image
% pause        

nv1=size(v1,1); nv2=size(v2,1);

if1=1:nv1;
if1(is1)=[];
if2=1:nv2;
if2([is2;ib2])=[];

end
